> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Users

> Retrieve platform users (admin).

## List users

`GET /api/admin/users`

Retrieve all users on the platform.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

### Query parameters

**page** `integer` (default: 1)

Page number.

**limit** `integer` (default: 20)

Items per page.

**search** `string`

Search name or email.

**role** `string`

Filter by role.

**status** `string`

Filter by status.

```bash cURL theme={null}
curl "https://zeplo.ai/api/admin/users?limit=20" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "username": "admin",
      "email": "admin@example.com",
      "name": "Admin User",
      "role": "superadmin",
      "status": "active",
      "plan": "Professional",
      "lastLoginAt": "2026-01-15T10:00:00Z",
      "createdAt": "2025-12-01T08:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 100,
    "totalPages": 5
  }
}
```

***

## Export users

`GET /api/admin/users/export`

```bash cURL theme={null}
curl "https://zeplo.ai/api/admin/users/export" \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -o users.csv
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.